Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.utils.error
Class SimpleErrorCollection

    java.lang.Object
      com.atlassian.bamboo.utils.error.SimpleErrorCollection

All Implemented Interfaces:
  ErrorCollection

    public class SimpleErrorCollection

extends Object
implements ErrorCollection

Constructor Summary
`SimpleErrorCollection()`

Method Summary
`void` | `addError(String field, String message)` Add a field-specific error message.
`void` | `addError(String prefix, String field, String message)` Adds a new form validation error with a given prefix.
`void` | `addErrorCollection(ErrorCollection errors)` Populate this ErrorCollection with general and field-specific errors.
`void` | `addErrorMessage(String message)` Add error message relating to system state (not field-specific).
`void` | `addErrorMessages(Collection incomingMessages)` Append new error messages to those already collected.
`void` | `addErrors(Map incomingErrors)` Append new field-specific errors to those already collected.
`Collection` | `getErrorMessages()` Get all non field-specific error messages.
`Map` | `getErrors()` Get all field-specific errors.
`Map` | `getFieldErrors()`
`Collection` | `getFlushedErrorMessages()` Get error messages, then get rid of them.
`boolean` | `hasAnyErrors()` Whether any errors (of any type - field-specific or otherwise) have been collected.
`void` | `setErrorMessages(Collection errorMessages)` Populate this ErrorCollection with a new set of messages (existing errors are lost).
`String` | `toString()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SimpleErrorCollection

    public SimpleErrorCollection()

Method Detail

### addError

    public void addError(String field,
                         String message)

  Description copied from interface: `ErrorCollection`
  Add a field-specific error message.

  Specified by:
    `addError` in interface `ErrorCollection`
  Parameters:
    `field` - Field name, eg. "assignee"
    `message` - Error message.

### addErrorMessage

    public void addErrorMessage(String message)

  Description copied from interface: `ErrorCollection`
  Add error message relating to system state (not field-specific).

  Specified by:
    `addErrorMessage` in interface `ErrorCollection`
  Parameters:
    `message` - Error message.

### getErrorMessages

    public Collection getErrorMessages()

  Description copied from interface: `ErrorCollection`
  Get all non field-specific error messages.

  Specified by:
    `getErrorMessages` in interface `ErrorCollection`
  Returns:
    Collection of error Strings.

### setErrorMessages

    public void setErrorMessages(Collection errorMessages)

  Description copied from interface: `ErrorCollection`
  Populate this ErrorCollection with a new set of messages (existing errors are lost).

  Specified by:
    `setErrorMessages` in interface `ErrorCollection`
  Parameters:
    `errorMessages` - List of error message `String`s.

### getFlushedErrorMessages

    public Collection getFlushedErrorMessages()

  Description copied from interface: `ErrorCollection`
  Get error messages, then get rid of them.

  Specified by:
    `getFlushedErrorMessages` in interface `ErrorCollection`
  Returns:
    The (now cleared) error messages.

### getErrors

    public Map getErrors()

  Description copied from interface: `ErrorCollection`
  Get all field-specific errors.

  Specified by:
    `getErrors` in interface `ErrorCollection`
  Returns:
    Map of String: String pairs, eg. {"assignee": "Assignee is required"}

### addErrorCollection

    public void addErrorCollection(ErrorCollection errors)

  Description copied from interface: `ErrorCollection`
  Populate this ErrorCollection with general and field-specific errors.

  Specified by:
    `addErrorCollection` in interface `ErrorCollection`
  Parameters:
    `errors` - ErrorCollection whose errors/messages we obtain.

### addErrorMessages

    public void addErrorMessages(Collection incomingMessages)

  Description copied from interface: `ErrorCollection`
  Append new error messages to those already collected.

  Specified by:
    `addErrorMessages` in interface `ErrorCollection`
  Parameters:
    `incomingMessages` - Collection of error strings.

### addErrors

    public void addErrors(Map incomingErrors)

  Description copied from interface: `ErrorCollection`
  Append new field-specific errors to those already collected.

  Specified by:
    `addErrors` in interface `ErrorCollection`
  Parameters:
    `incomingErrors` - of String: String pairs, eg. {"assignee": "Assignee is required"}

### hasAnyErrors

    public boolean hasAnyErrors()

  Description copied from interface: `ErrorCollection`
  Whether any errors (of any type - field-specific or otherwise) have been collected.

  Specified by:
    `hasAnyErrors` in interface `ErrorCollection`

### getFieldErrors

    public Map getFieldErrors()

  Specified by:
    `getFieldErrors` in interface `ErrorCollection`

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### addError

    public void addError(String prefix,
                         String field,
                         String message)

  Description copied from interface: `ErrorCollection`
  Adds a new form validation error with a given prefix. ie. prefix of "builder.ant" and field "target" will result in a key of "builder.ant.target"

  Specified by:
    `addError` in interface `ErrorCollection`
  Parameters:
    `prefix` - The prefix of the field in . form
    `field` - The id of the form element in error
    `message` - The error message to display to the user

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.